Index: /palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 2311)
+++ /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 2312)
@@ -20,9 +20,10 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! SGS velocities also possible for curvature_solution_effects = .TRUE. 
 !
 ! 2000 2016-08-20 18:09:15Z knoop
@@ -36,12 +37,12 @@
 !
 ! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
+! Code annotations made doxygen readable
+!
 ! 1359 2014-04-11 17:15:14Z hoffmann
-! New particle structure integrated. 
-! 
+! New particle structure integrated.
+!
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute
-! 
+!
 ! 1327 2014-03-21 11:00:16Z raasch
 ! -netcdf output queries
@@ -75,5 +76,5 @@
 !------------------------------------------------------------------------------!
  SUBROUTINE data_output_ptseries
- 
+
 
     USE control_parameters,                                                    &
@@ -97,6 +98,6 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  curvature_solution_effects, grid_particles, number_of_particles,&
-               number_of_particle_groups, particles, prt_count
+        ONLY:  grid_particles, number_of_particles, number_of_particle_groups, &
+               particles, prt_count
 
     USE pegrid
@@ -164,9 +165,7 @@
                    pts_value_l(0,7)  = pts_value_l(0,7) + particles(n)%speed_y  ! mean v
                    pts_value_l(0,8)  = pts_value_l(0,8) + particles(n)%speed_z  ! mean w
-                   IF ( .NOT. curvature_solution_effects )  THEN
-                      pts_value_l(0,9)  = pts_value_l(0,9)  + particles(n)%rvar1 ! mean sgsu
-                      pts_value_l(0,10) = pts_value_l(0,10) + particles(n)%rvar2 ! mean sgsv
-                      pts_value_l(0,11) = pts_value_l(0,11) + particles(n)%rvar3 ! mean sgsw
-                   ENDIF
+                   pts_value_l(0,9)  = pts_value_l(0,9)  + particles(n)%rvar1 ! mean sgsu
+                   pts_value_l(0,10) = pts_value_l(0,10) + particles(n)%rvar2 ! mean sgsv
+                   pts_value_l(0,11) = pts_value_l(0,11) + particles(n)%rvar3 ! mean sgsw
                    IF ( particles(n)%speed_z > 0.0_wp )  THEN
                       pts_value_l(0,12) = pts_value_l(0,12) + 1.0_wp  ! # of upward moving prts
@@ -198,9 +197,7 @@
                       pts_value_l(jg,7)  = pts_value_l(jg,7) + particles(n)%speed_y
                       pts_value_l(jg,8)  = pts_value_l(jg,8) + particles(n)%speed_z
-                      IF ( .NOT. curvature_solution_effects )  THEN
-                         pts_value_l(jg,9)  = pts_value_l(jg,9)  + particles(n)%rvar1
-                         pts_value_l(jg,10) = pts_value_l(jg,10) + particles(n)%rvar2
-                         pts_value_l(jg,11) = pts_value_l(jg,11) + particles(n)%rvar3
-                      ENDIF
+                      pts_value_l(jg,9)  = pts_value_l(jg,9)  + particles(n)%rvar1
+                      pts_value_l(jg,10) = pts_value_l(jg,10) + particles(n)%rvar2
+                      pts_value_l(jg,11) = pts_value_l(jg,11) + particles(n)%rvar3
                       IF ( particles(n)%speed_z > 0.0_wp )  THEN
                          pts_value_l(jg,12) = pts_value_l(jg,12) + 1.0_wp
@@ -299,12 +296,10 @@
                 pts_value_l(0,25) = pts_value_l(0,25) + ( particles(n)%speed_z - &
                                                           pts_value(0,8) )**2   ! w*2
-                IF ( .NOT. curvature_solution_effects )  THEN
-                   pts_value_l(0,26) = pts_value_l(0,26) + ( particles(n)%rvar1 - &
-                                                             pts_value(0,9) )**2   ! u"2
-                   pts_value_l(0,27) = pts_value_l(0,27) + ( particles(n)%rvar2 - &
-                                                             pts_value(0,10) )**2  ! v"2
-                   pts_value_l(0,28) = pts_value_l(0,28) + ( particles(n)%rvar3 - &
-                                                             pts_value(0,11) )**2  ! w"2
-                ENDIF
+                pts_value_l(0,26) = pts_value_l(0,26) + ( particles(n)%rvar1 - &
+                                                          pts_value(0,9) )**2   ! u"2
+                pts_value_l(0,27) = pts_value_l(0,27) + ( particles(n)%rvar2 - &
+                                                          pts_value(0,10) )**2  ! v"2
+                pts_value_l(0,28) = pts_value_l(0,28) + ( particles(n)%rvar3 - &
+                                                          pts_value(0,11) )**2  ! w"2
 !
 !--             Repeat the same for the respective particle group
@@ -324,12 +319,10 @@
                    pts_value_l(jg,25) = pts_value_l(jg,25) + ( particles(n)%speed_z - &
                                                              pts_value(jg,8) )**2
-                   IF ( .NOT. curvature_solution_effects )  THEN
-                      pts_value_l(jg,26) = pts_value_l(jg,26) + ( particles(n)%rvar1 - &
-                                                                pts_value(jg,9) )**2
-                      pts_value_l(jg,27) = pts_value_l(jg,27) + ( particles(n)%rvar2 - &
-                                                                pts_value(jg,10) )**2
-                      pts_value_l(jg,28) = pts_value_l(jg,28) + ( particles(n)%rvar3 - &
-                                                                pts_value(jg,11) )**2
-                   ENDIF
+                   pts_value_l(jg,26) = pts_value_l(jg,26) + ( particles(n)%rvar1 - &
+                                                             pts_value(jg,9) )**2
+                   pts_value_l(jg,27) = pts_value_l(jg,27) + ( particles(n)%rvar2 - &
+                                                             pts_value(jg,10) )**2
+                   pts_value_l(jg,28) = pts_value_l(jg,28) + ( particles(n)%rvar3 - &
+                                                             pts_value(jg,11) )**2
                 ENDIF
 
